//! IDT structures and routines for 32-bit x86.
//!
//! Based on code from the `x86_64` crate.
//! Many comments are copied verbatim.
//! (most notably, in `table.rs`)

mod virtaddr;
pub use virtaddr::*;

mod entry;
pub use entry::*;

mod table;
pub use table::*;

mod handler;
pub use handler::*;

mod stackframe;
pub use stackframe::*;

mod util;
